Package com.orchestranetworks.workflow

# Interface UserTaskResult

public interface UserTaskResult
Represents a user task result. It describes how work items have been executed and their result.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `acceptedWorkItems()`
  Returns count of accepted work items.
  `int`
  `countWorkItems()`
  Returns count of work items.
  `UserTask.WorkItem`
  `getWorkItem()`
  Returns the associated work item.
  `List<UserTask.WorkItem>`
  `getWorkItems()`
  Returns work items list: `UserTask.WorkItem`.
  `boolean`
  `isAccepted()`
  Returns `true` if the work item is accepted.
  `int`
  `rejectedWorkItems()`
  Returns count of rejected work items.
  `int`
  `startedWorkItems()`
  Returns count of started work items.

- ## Method Details

  - ### acceptedWorkItems

    int acceptedWorkItems()
    Returns count of accepted work items. When the user task is in default mode (single work item), this method returns either 1 if the associated work item is accepted, else 0.

    For the default single work item mode, it is recommended to use instead `isAccepted()`.

  - ### rejectedWorkItems

    int rejectedWorkItems()
    Returns count of rejected work items. When the user task is in default mode (single work item), this method returns 1 if the associated work item is rejected, else 0.

    For the default single work item mode, it is recommended to use instead `isAccepted()`.

  - ### startedWorkItems

    int startedWorkItems()
    Returns count of started work items. When the user task is in default mode (single work item), this method always returns 0 (the single work item is accepted or rejected when the user task is complete).

  - ### countWorkItems

    int countWorkItems()
    Returns count of work items. When the user task is in default mode (single work item), this method returns 0 or 1. It returns 0 only if no work item has been found.

  - ### getWorkItems

    List<UserTask.WorkItem> getWorkItems()
    Returns work items list: `UserTask.WorkItem`. When the user task is in default mode (single work item), this method returns a list with the single associated work item.

    For the default single work item mode, it is recommended to use instead {#`getWorkItem()`.

  - ### getWorkItem

    UserTask.WorkItem getWorkItem()
    Returns the associated work item.
    Throws:
      `IllegalStateException` - if several work items have been found.
    Since:
      5.7.0

  - ### isAccepted

    boolean isAccepted()
    Returns `true` if the work item is accepted. When the user task is in legacy mode (multi work items), returns `true` if all work items are accepted.
    Since:
      5.7.0